group 'SmartVenue'
version '1.0-SNAPSHOT'
ext {
    springBootVersion = '1.5.7.RELEASE'
}


apply plugin: 'java'

sourceCompatibility = 1.8

repositories {
    mavenCentral()
}

dependencies {
    testCompile group: 'junit', name: 'junit', version: '4.12'
    compile fileTree(include: '*.jar', dir: 'src/libs')
    compile "org.springframework.boot:spring-boot-starter-test:${springBootVersion}"
    compile "org.springframework.boot:spring-boot-starter-jetty:${springBootVersion}"
    compile "org.springframework.boot:spring-boot-devtools:${springBootVersion}"
    compile "org.springframework.boot:spring-boot-starter-web:${springBootVersion}"
    compile "org.springframework.boot:spring-boot-starter-data-redis:${springBootVersion}"
    compile "org.springframework.boot:spring-boot-starter-aop:${springBootVersion}"
    compile "org.mybatis.spring.boot:mybatis-spring-boot-starter:1.3.1"
    compile "com.github.pagehelper:pagehelper-spring-boot-starter:1.2.5"
    compile 'com.github.binarywang:weixin-java-miniapp:2.8.0'
    compile 'com.github.binarywang:weixin-java-pay:2.8.0'
    compile 'com.alibaba:druid-spring-boot-starter:1.1.0'
    compile 'org.apache.httpcomponents:fluent-hc:4.5.3'
    compile 'org.apache.commons:commons-lang3:3.6'
    compile 'org.apache.commons:commons-text:1.1'
    compile 'commons-beanutils:commons-beanutils:1.9.3'
    compile 'mysql:mysql-connector-java:6.0.6'
    compile 'com.aliyun.oss:aliyun-sdk-oss:2.5.0'
    compile 'commons-io:commons-io:2.5'
    compile 'commons-codec:commons-codec:1.10'
    compile 'commons-collections:commons-collections:3.2.2'
    compile 'com.aliyun.oss:aliyun-sdk-oss:2.5.0'
    compile 'com.google.zxing:javase:3.3.0'
    compile 'com.aliyun:aliyun-java-sdk-core:3.5.0'
    compile 'com.aliyun:aliyun-java-sdk-sms:3.0.0-rc1'
    compile group: 'com.google.code.gson', name: 'gson', version: '2.8.4'
    compile "org.springframework.boot:spring-boot-configuration-processor:${springBootVersion}"
    compile group: 'javax.mail', name: 'mail', version: '1.4.7'
    compile group: 'com.google.code.gson', name: 'gson', version: '2.8.0'
    compile group: 'org.apache.poi', name: 'poi-ooxml', version: '3.17'
    compile group: 'org.springframework.boot', name: 'spring-boot-starter-freemarker', version: '1.5.9.RELEASE'
    compile("org.springframework.boot:spring-boot-devtools")
    compile group: 'com.thoughtworks.xstream', name: 'xstream', version: '1.4.10'
    compile "org.apache.httpcomponents:httpclient:4.4"
    compile "org.apache.httpcomponents:httpmime:4.4"
    compile group: 'com.github.davidmoten', name: 'geo', version: '0.7.6'
    compile group: 'org.java-websocket', name: 'Java-WebSocket', version: '1.3.9'
    compile group: 'com.thoughtworks.xstream', name: 'xstream', version: '1.4.10'
    compile group: 'dom4j', name: 'dom4j', version: '1.6.1'
    compile "org.bouncycastle:bcprov-jdk15:1.46"// https://mvnrepository.com/artifact/com.github.xuwei-k/html2image
}

tasks.withType(JavaCompile) {
    options.encoding = "UTF-8"
}
